package com.ruoyi.voluntary.service;

import com.ruoyi.voluntary.domain.BusiSchools;
import com.ruoyi.voluntary.domain.SysLocations;

import java.util.List;
import java.util.Map;

/**
 * 位置编码Service接口
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public interface ISysLocationsService 
{
    public Map<Long, SysLocations> getAllConfig();

        /**
         * 查询位置编码
         *
         * @param id 位置编码ID
         * @return 位置编码
         */
    public SysLocations selectSysLocationsById(Long id);
    public List<SysLocations> selectSysLocationsByCode(String code);
    public SysLocations selectSysLocationsBySname(String sname);

    /**
     * 查询位置编码列表
     * 
     * @param sysLocations 位置编码
     * @return 位置编码集合
     */
    public List<SysLocations> selectSysLocationsList(SysLocations sysLocations);

    /**
     * 新增位置编码
     * 
     * @param sysLocations 位置编码
     * @return 结果
     */
    public int insertSysLocations(SysLocations sysLocations);

    /**
     * 修改位置编码
     * 
     * @param sysLocations 位置编码
     * @return 结果
     */
    public int updateSysLocations(SysLocations sysLocations);

    /**
     * 批量删除位置编码
     * 
     * @param ids 需要删除的位置编码ID
     * @return 结果
     */
    public int deleteSysLocationsByIds(Long[] ids);

    /**
     * 删除位置编码信息
     * 
     * @param id 位置编码ID
     * @return 结果
     */
    public int deleteSysLocationsById(Long id);

    public String getNameByLocationId(Long locationId);

    //获取省市区
    public String getProCityArea(BusiSchools school);
}
